Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Development

Reply
New Contributor
Posts: 7
Registered: ‎01-29-2013
My Device: Bold
My Carrier: MTS

Problem with in-app purchase after upgrade OS to 2.1.0.1056

[ Edited ]

Hello!

 

Before upgrade OS in-app purchase working correctly. But after upgrade it's not working.

 

After this code pendingIntent == null and request code == 6 (RESULT_ERROR)

Bundle request = makeRequestBundle("REQUEST_PURCHASE");
request.putString(Consts.BILLING_REQUEST_ITEM_ID, mProductId);
if (mDeveloperPayload != null) {
	request.putString(Consts.BILLING_REQUEST_DEVELOPER_PAYLOAD, mDeveloperPayload);
}

Bundle response = mService.sendBillingRequest(request);
PendingIntent pendingIntent
		= response.getParcelable(Consts.BILLING_RESPONSE_PURCHASE_INTENT);
if (pendingIntent == null) {
	MyLog.e("Error in REQUEST_PURCHASE: " + response.get(Consts.BILLING_RESPONSE_RESPONSE_CODE));
	return Consts.BILLING_RESPONSE_INVALID_REQUEST_ID;
}

 What has changed in the new version that stopped working purchase? On BB10 simulator purchases working correctly and on playbook with old version.

 

Please, help with solution.

 

Best regards!

Developer
Posts: 122
Registered: ‎07-26-2008
My Device: 8320, 9500, 9700
My Carrier: Vodafone

Re: Problem with in-app purchase after upgrade OS to 2.1.0.1056

Did you find a solution?  I also get this error on the PlayBook, the response bundle is:

 

[{REQUEST_ID=-1, RESPONSE_CODE=6}]

 

 

New Contributor
Posts: 7
Registered: ‎01-29-2013
My Device: Bold
My Carrier: MTS

Re: Problem with in-app purchase after upgrade OS to 2.1.0.1056

Sorry.

 

Topic has wrong name.

Upgrade OS version was 2.1.0.1526.

 

Solution not find. Help please.

 

Best regards!

Highlighted
Developer
Posts: 122
Registered: ‎07-26-2008
My Device: 8320, 9500, 9700
My Carrier: Vodafone

Re: Problem with in-app purchase after upgrade OS to 2.1.0.1056

[ Edited ]

So, FWIW, in my case the response code 6 was caused by me attempting to purchase the product on a PlayBook registered to a BlackBerry ID with the same email address as my vendor account.  

 

When I added an additional sandbox user with a different BlackBerry ID and wiped my PlayBook and set it up with the new ID it all works correctly (with 2.1.0.1526).